> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Supervisor Actions

> Tenant or admin workflow endpoint for operator queues, callback tasks, supervisor actions, and follow-up processing.

Tenant or admin workflow endpoint for operator queues, callback tasks, supervisor actions, and follow-up processing.

### Query parameters

<ParamField query="stream_sid" type="string" />

<ParamField query="action" type="SupervisorActionType" />

<ParamField query="limit" type="integer (int64)" />

<ParamField query="offset" type="integer (int64)" />

### Response

`SupervisorActionLog[]` — each element:

<ResponseField name="action" type="SupervisorActionType" required />

<ResponseField name="call_sid" type="string,null" />

<ResponseField name="created_at" type="string" required />

<ResponseField name="id" type="string" required />

<ResponseField name="metadata" type="any" required />

<ResponseField name="note" type="string,null" />

<ResponseField name="reason" type="string,null" />

<ResponseField name="stream_sid" type="string" required />

<ResponseField name="supervisor" type="string" required />

<ResponseField name="target" type="string,null" />

<ResponseField name="tenant_id" type="string" required />

### Status codes

| Code  | Meaning                         |
| ----- | ------------------------------- |
| `200` | List durable supervisor actions |
| `401` | Unauthorized                    |
| `500` | Internal server error           |
| `503` | Database not configured         |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.voice.stateset.com/api/v1/supervisor-actions' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  [
    {
      "action": "monitor",
      "call_sid": "CA1234567890abcdef1234567890abcdef",
      "created_at": "2024-01-15T10:30:00Z",
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "metadata": null,
      "note": "Offer a 15% discount before transfer",
      "reason": "Customer requested a human agent",
      "stream_sid": "MZ1234567890abcdef1234567890abcdef",
      "supervisor": "dashboard",
      "target": "+15555551234",
      "tenant_id": "tenant-123"
    }
  ]
  ```
</ResponseExample>
